#!/bin/bash

OS_ALLCAPS=`uname | tr 'a-z' 'A-Z'`

echo ""
if [ ! -d selfcontained-ant ] ; then
    echo "Checking from svn: Greenstone3's selfcontained-ant extension"
    svn co https://svn.greenstone.org/gs3-extensions/selfcontained-ant/trunk selfcontained-ant

    if [ $? != 0 ] ; then
	echo "Error encountered checking out: " 1>&2
	echo "    svn co https://svn.greenstone.org/gs3-extensions/selfcontained-ant/trunk selfcontained-ant" 1>&2
	exit 1
    fi
else
    echo "Detected directory 'selfcontained-ant'"
    echo "=> Taken to mean that the svn check-out command has already been run"
fi

echo ""
if [ ! -d selfcontained-ant/apache-ant ] ; then
    echo "Runing the selfcontained-ant/PREPARE-${OS_ALLCAPS}.sh"

    cd selfcontained-ant && ./PREPARE-${OS_ALLCAPS}.sh

    if [ $? != 0 ] ; then
	echo "Error encountered running: " 1>&2
	echo "        cd selfcontained-ant && ./PREPARE-${OS_ALLCAPS}.sh" 1>&2
	exit 1
    fi
	
else
    echo "Detected directory 'selfcontained-ant/apache-ant'"
    echo "=> Taken to mean that the selfcontained-ant/PREPARE-${OS_ALLCAPS}.sh command has already been run"    
fi


if [ "x$JAVA_HOME" != "x$PWD/selfcontained-ant/apache-ant" ] ; then
    echo ""
    echo "To use this installed version of Apache Ant, in the top-level Greenstone3 directory run:"
    echo "    source ./gs3-setup-cli.sh"
    echo ""
else
    echo ""
    echo "Detected JAVA_HOME set to \$PWD/selfcontained-ant/apache-ant"
    echo "=> Taken to mean that the selfcontained-ant SETUP.sh file has been sourced"
fi

echo ""
